// GS3.cpp -- GameStats 3.0
// Example to demonstrate the use of constants
// and enumerated types
// Notice these are local to the main() function
// If declared and defined outside the main function
// they would be global to the .cpp file and all the
// functions in the file would be able to use them

#include <iostream>
using namespace std;

int main()
{
    const int ALIEN_POINTS = 150;
    int aliensKilled = 10;
    int score = aliensKilled * ALIEN_POINTS;
    cout << "score: " << score << endl;
    
    enum difficulty { NOVICE, EASY, NORMAL, HARD, UNBEATABLE };
    difficulty myDifficulty = NORMAL;
    cout << "myDifficulty = " << myDifficulty << endl;
    
    enum shipCost { FIGHTER_COST=25, BOMBER_COST, CRUISER_COST=50 };
    shipCost myShipCost = BOMBER_COST;
    cout << "\nTo upgrade my ship to a Cruiser will cost "
         << (CRUISER_COST - myShipCost) << " Resource Points.\n";

    return 0;
}
